Debian Bug report logs - #63318
Add an id attribute to <item>

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: ross <RossBoylan@stanfordalumni.org>

Date: Sun, 30 Apr 2000 23:16:50 UTC

Severity: wishlist

Found in version 1.1.41

Fixed in version debiandoc-sgml/1.1.92

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>:
Bug#63318; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to ross <RossBoylan@stanfordalumni.org>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ross <RossBoylan@stanfordalumni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: RossBoylan@stanfordalumni.org
Subject: Add an id attribute to <item>
Date: Sun, 30 Apr 2000 16:06:35 -0700
Package: debiandoc-sgml
Version: 1.1.41
Severity: wishlist

Currently, it is illegal to put an id in an <item> on an <enumlist>.
I assume other kinds of lists have the same problem.  It would be very
useful to be able to refer to individual items.

I am revising the debian install docs, and will probably either just
write the reference in or skip it.  Neither is an ideal approach.

Also, when the id is added, it might be worth clarifying how to use
it.  Initially I wrote ".. as described in point <ref ..>".  Probably
it should be ".. as described in <ref ...>".  On the other hand, the
correct form may be obvious to someone who knows SGML (which is not
me).


-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux wheat 2.2.14 #1 Tue Apr 25 10:11:42 EST 2000 i586

Versions of packages debiandoc-sgml depends on:
ii  libhtml-parser-perl       3.02-3         A collection of modules that parse
ii  libi18n-langtags-perl     0.12-6         Perl module for dealing with RFC17
ii  libsgmls-perl             1.03ii-14      Perl modules to process SGML parse
ii  libtext-format-perl       0.52-7         Perl module to format (text) parag
ii  liburi-perl               1.04-2         Manipulates and accesses URI strin
ii  perl-5.004 [perl5]        5.004.05-6     Larry Wall's Practical Extracting 
ii  perl-5.005 [perl5]        5.005.03-7     Larry Wall's Practical Extracting 
ii  sgml-base                 1.01           utilities to maintain the SGML cat
ii  sgml-data                 1.2            common SGML DTDs and entities     
ii  sgmlspl                   1.03ii-14      SGMLS-based (example) Perl script 
ii  sp                        1.3.4-1.2.1-16 James Clark's SGML parsing tools  



Tags added: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>:
Bug#63318; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Ardo van Rangelrooij <ardo@debian.org>. Full text and rfc822 format available.

Message #18 received at 63318@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 63318@bugs.debian.org
Subject: Re: Add an id attribute to <item>
Date: Mon, 29 Mar 2004 10:14:43 +0200 (CEST)
Hi,

there was some adding / removing "pending" tag activity to this bug.
Any news whether this might become fixed in the not so distant future?

Unfurtunately I'm unable to help here because of my low knowledge
in SGML programming but if I were you I would tag these bugs "help"
and would ask on Debian devel for support ...

Kind regards

         Andreas.



Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ross <RossBoylan@stanfordalumni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 63318-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 63318-close@bugs.debian.org
Subject: Bug#63318: fixed in debiandoc-sgml 1.1.92
Date: Sat, 15 Oct 2005 07:17:04 -0700
Source: debiandoc-sgml
Source-Version: 1.1.92

We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.92.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92.dsc
debiandoc-sgml_1.1.92.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92.tar.gz
debiandoc-sgml_1.1.92_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.92_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 63318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Oct 2005 20:32:51 +0900
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.92
Distribution: unstable
Urgency: low
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 63318 137998 140684 141727 213332 235793 256076
Changes: 
 debiandoc-sgml (1.1.92) unstable; urgency=low
 .
   * Fixed bogus horizontal line in the list in HTML
     (closes: Bug#256076)
   * Provided default value of -d option to be
     /usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl
     (closes: Bug#213332)
   * Close all wontfix-type wishlist bugs.
     (closes: Bug#63318, Bug#137998, Bug#140684, Bug#141727, Bug#235793)
   * Updated TODO and README.Debian files.
Files: 
 d3f0ddf11561003c48b3234b9c81c44d 666 text optional debiandoc-sgml_1.1.92.dsc
 116add97c07b0b8fcfd0cd3924a77b02 99024 text optional debiandoc-sgml_1.1.92.tar.gz
 4ffc76cc804b55efeeab3e85d03f8ef5 96556 text optional debiandoc-sgml_1.1.92_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDUQ9V6A/EwagGHzIRAtWnAJ9I9Gwo0kxZ2d10swFloBlX1k9NNACZAbDo
qJ2ns//NPkTFsJrwNniJp8k=
=bGnA
-----END PGP SIGNATURE-----




Information stored:
Bug#63318; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #28 received at 63318-quiet@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 137998-quiet@bugs.debian.org, 137998-submitter@bugs.debian.org, 63318-quiet@bugs.debian.org, 63318-submitter@bugs.debian.org
Subject: Why bug was closed for debiandoc-sgml
Date: Sun, 16 Oct 2005 01:06:25 +0900
Hmmm... I should have been a bit more verbose.

I closed these wishlist bug since their features are available in
Docbook XML.  Now that I added working debiandoc2xml command, I think
you can convert source and move to use docbook XML to gain access to the
features you wished.

Updated TODO describr the situation.

Cheers,

Osamu

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Yokohama Japan, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Message sent on to ross <RossBoylan@stanfordalumni.org>:
Bug#63318. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:14:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.